跳转到主要内容
网络管理/网络资源/分布式交换机相关接口
GETDistributed Switch Related Interfaces起始版本 4.3.0同步需要认证

查询上行链路组

查询上行链路组

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • inventoriesList必填

    详情参考inventories

    • interfaceNameString必填

      接口名称

    • bondingUuidString必填

      绑定UUID

    • interfaceUuidString必填

      接口UUID

    • hostUuidString必填

      主机UUID

    • l2NetworkUuidString必填

      分布式交换机UUID

    • l2ProviderTypeString必填

      分布式交换机实现类型

    • bridgeNameString必填

      网桥名称

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • typeUplinkGroupType必填

      详情参考type

      • PhysicalInterfaceUplinkGroupType必填

        物理网卡

      • BondingUplinkGroupType必填

        绑定

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/l2-networks/virtual-switch/uplink-group

/zstack/v1/l2-networks/virtual-switch/uplink-group

操作 ID

QueryUplinkGroup

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/l2-networks/virtual-switch/uplink-group' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "interfaceName": "eth0", "type": "PhysicalInterface", "interfaceUuid": "24343c2ab2803d82b16b531b5e58b086", "hostUuid": "1b66d910a4de3418b6214b04ac1a2dd3", "l2NetworkUuid": "0472b472fef131999b770c1671515cb7" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史